CREATE TABLE altGraph (
    id int unsigned not null,	# Unique ID
    orientation tinyint not null,	# +1 or -1 relative to start contig
    startBac int unsigned not null,	# First contig touched by graph
    startPos int unsigned not null,	# Start position in first contig
    endBac int unsigned not null,	# Last contig touched by graph
    endPos int unsigned not null,	# End position in last contig
    vertexCount int unsigned not null,	# Number of vertices in graph
    vTypes longblob not null,	# Type for each vertex
    vBacs longblob not null,	# Contig for each vertex
    vPositions longblob not null,	# Position in contig for each vertex
    edgeCount int unsigned not null,	# Number of edges in graph
    edgeStarts longblob not null,	# Array with start vertex of edges
    edgeEnds longblob not null,	# Array with end vertex of edges
    mrnaRefCount int not null,	# Number of supporting mRNAs
    mrnaRefs longblob not null	# IDs of all supporting mRNAs
);

