# mrnaToContig.sql was originally generated by the autoSql program, which also 
# generated mrnaToContig.c and mrnaToContig.h.  This creates the database representation of
# an object which can be loaded and saved from RAM in a fairly 
# automatic way.

#Table that describes mrna alignment to a contig
CREATE TABLE mrnaToContig (
    id int unsigned not null,	# unique id across all tables
    matchCount int unsigned not null,	# Number of bases that match that aren't repeats
    mismatchCount int unsigned not null,	# Number of bases that don't match
    qOrientation tinyint not null,	# +1 or -1 for query strand
    qAcc char(12) not null,	# Query sequence accession
    qSize int unsigned not null,	# Query sequence size
    qStart int unsigned not null,	# Alignment start position in query
    qEnd int unsigned not null,	# Alignment end position in query
    tAcc char(12) not null,	# Target sequence name
    tContig smallint unsigned not null,	# Contig (zero based) of target sequence
    tSize int unsigned not null,	# Target sequence size
    tStart int unsigned not null,	# Alignment start position in target
    tEnd int unsigned not null,	# Alignment end position in target
    blockCount int unsigned not null,	# Number of blocks in alignment
    blocks longblob not null,	# List of aligning blocks
              #Indices
    PRIMARY KEY(id),
    INDEX(qAcc),
    INDEX(tAcc)
);
